Bug 802068 - [abrt] pychess-0.10.1-1.fc16: BoardView.py:929:__drawArrow:TypeError: 'NoneType' object is not subscriptable
[abrt] pychess-0.10.1-1.fc16: BoardView.py:929:__drawArrow:TypeError: 'NoneTy...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pychess (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
abrt_hash:24c0056109aebd3313bca07422a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 13:04 EST by stefano.d
Modified: 2013-02-13 07:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:42:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stefano.d 2012-03-10 13:04:45 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/pychess
comment:        I wanted to undo (STRG Z) an step in pyChess.
event_log:      2012-03-10-19:02:58> Smolt profile successfully saved
executable:     /usr/bin/pychess
kernel:         3.2.9-1.fc16.x86_64
reason:         BoardView.py:929:__drawArrow:TypeError: 'NoneType' object is not subscriptable
time:           Sa 10 Mär 2012 19:02:05 CET
uid:            1000
username:       stefano

backtrace:
:BoardView.py:929:__drawArrow:TypeError: 'NoneType' object is not subscriptable
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/pychess/widgets/BoardView.py", line 512, in expose
:    self.draw(context, event.area)
:  File "/usr/lib/python2.7/site-packages/pychess/widgets/BoardView.py", line 580, in draw
:    self.drawArrows (context)
:  File "/usr/lib/python2.7/site-packages/pychess/widgets/BoardView.py", line 990, in drawArrows
:    (.937,.16,.16,0.9), (.643,0,0,1))
:  File "/usr/lib/python2.7/site-packages/pychess/widgets/BoardView.py", line 929, in __drawArrow
:    lvx = cords[1].x-cords[0].x
:TypeError: 'NoneType' object is not subscriptable
:
:Local variables in innermost frame:
:asw: 0.08
:context: <gtk.gdk.CairoContext object at 0x7f097c05acb0>
:ahh: 0.64
:self: <BoardView object at 0x7f099803a190 (pychess+widgets+BoardView+BoardView at 0x7f097c007e60)>
:ahw: 0.72
:aw: 0.3
:fillc: (0.937, 0.16, 0.16, 0.9)
:strkc: (0.643, 0, 0, 1)
:cords: None

smolt_data:
:
:
:General
:=================================
:UUID: 8895c705-58d9-40e4-ac1d-883065b64003
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5383.31
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 7870
:System Swap: 8190
:Vendor: LENOVO
:System: 4236NGG ThinkPad T420
:Form factor: Notebook
:Kernel: 3.2.9-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8654) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8654) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8654) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8654) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8654) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8654) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8654) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8654) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8654) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8654) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8654) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 117725165 98307248 97129314 29466624 29242789 29242789
:/dev/sda1 /boot ext2 1024 1024 245983 170827 158027 64000 63763 63763
:/dev/sda3 /tmp ext4 4096 4096 2090580 2025839 1920982 524288 524170 524170
:
Comment 1 Fedora End Of Life 2013-01-16 07:25:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 07:42:05 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.